# Place Smart Order

To get characters you need to make a POST call to the following url :\
`https://amapi.algomojo.com/v1/PlaceSmartOrder`

\
**QUERY PARAMETERS**

| Request Parameter   | Description                                                  | Mandatory |
| ------------------- | ------------------------------------------------------------ | --------- |
| broker              | Broker Code                                                  | Yes       |
| strategy            | Strategy Name                                                | Yes       |
| exchange            | Exchange name                                                | Yes       |
| symbol              | Trading Symbol                                               | Yes       |
| action              | Action                                                       | Yes       |
| product             | Product Type                                                 | Yes       |
| pricetype           | Price Type                                                   | Yes       |
| quantity            | Quantity                                                     | Yes       |
| price               | Price                                                        | Yes       |
| position\_size      | Position Size                                                | Yes       |
| trigger\_price      | Trigger Price                                                | No        |
| disclosed\_quantity | Disclosed Quantity                                           | No        |
| amo                 | <p>AMO - It can be one of the following<br>YES<br>NO<br></p> | No        |
| splitorder          | split order                                                  | No        |
| split\_quantity     | split quantity                                               | No        |

<br>

{% code title="# Here is a curl example" %}

```
-X POST https://amapi.algomojo.com/v1/PlaceSmartOrder
```

{% endcode %}

{% code title="Request example :" %}

```
 {
     "api_key":"your_api_key",
     "api_secret":"your_api_secret",
     "data":
     {
         "broker":"zb",
         "strategy":"Test Strategy",
         "exchange":"NSE",
         "symbol":"YESBANK-EQ",
         "action":"BUY",
         "product":"CNC",
         "pricetype":"MARKET",
         "quantity":"7",
         "price":"0",
         "position_size":"7",
         "trigger_price":"0",
         "disclosed_quantity":"0",
         "amo":"NO",
         "splitorder":"NO",
         "split_quantity":"2"
     }
 }
```

{% endcode %}

{% code title="Response example:" %}

```
 {
         "status": "success",
         "data": {
             "broker": "ZB",
             "orderid": "221115000019082"
                 }
 } 
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.algomojo.com/algomojo/api/v1/place-smart-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
